import { IRequest } from './interface/public-interface';
export declare class RxPostmessengerRequest<T, U> implements IRequest<T, U> {
    readonly channel: string;
    readonly payload: T;
    readonly isHandled: boolean;
    readonly id: string;
    private readonly _injectResponse;
    constructor(id: string, channel: string, payload: T, responseInjector: (data: U) => void);
    respond(data: U): void;
}
